#!/bin/zsh

if [ -z "$DBUS_SESSION_BUS_ADDRESS" ]; then
    exec dbus-launch --sh-syntax --exit-with-session "$0"
fi

export XDG_SESSION_TYPE=x11
export XDG_CURRENT_DESKTOP=dwm
export GDK_BACKEND=x11
export QT_QPA_PLATFORM=xcb
export XCURSOR_THEME=Adwaita
export XCURSOR_SIZE=24

xset r rate 200 35
xinput set-prop "ELAN0709:00 04F3:30A0 Touchpad" "libinput Tapping Enabled" 1 &
xrdb -merge ~/.Xresources
picom --config ~/.config/picom/picom.conf &
sxhkd &
slstatus &
/usr/libexec/polkit-gnome-authentication-agent-1 &
pulseaudio --start &
setxkbmap -option caps:escape &
xwallpaper --zoom files/pics/walls/wallhaven-y8g1el_1920x1080.png &
dunst &
notify-send "test"
brightnessctl -d intel_backlight set 100%

exec dwm
